<?php
class Vorlage_VorlageID4 extends Vorlage_any implements iVorlage {

	function __construct($S = null, $SpracheID = null){
		if($this instanceof FPDF){
		}
		
		$this->widthPosition = null;
		$this->widthArtikelnummer = null;
		$this->widthEinzelpreisNetto = null;
		$this->widthRabatt = null;
		$this->widthRabattpreis = null;
		$this->widthGesamtNettoPosten = null;
		$this->widthMwStBetrag = null;
		$this->widthMwSt = null;
		$this->labelAmtsgericht = "Finanzamt";
		$this->labelCustomField1 = "Feld1";
		$this->labelMenge2 = "";
		$this->labelUstID = null;
		$this->labelKundeAnsprechpartner = null;
		$this->labelKundeTelefon = null;
		$this->labelKundeEMail = null;
		$this->labelCustomField2 = null;
		$this->labelCustomField3 = null;
		$this->labelCustomField11 = null;
		$this->labelCustomField12 = null;
		$this->labelCustomField13 = null;
		$this->logoFileName = "logo_open3a.png";
		$this->logoPosition[0] = 20;
		$this->logoWidth = 170;
		$this->positionFirmaSchriftzug = null;
		$this->positionSlogan = null;
		$this->showAnredeInEmpfaenger = true;
		$this->showTeilzahlungenTable = false;
		$this->showBruttoPreise = false;
		$this->showMahnungTable = false;
		$this->showOPTable = false;
		$this->showPositionenReferenzTable = false;
		$this->show0ProzentMwSt = false;
		$this->positionDetailsAdresse[1] = "40";
		$this->positionDetails[1] = "50";
		$this->positionRechnungsInfo[1] = "70";
		$this->positionRechnungsInfo2teSeite[1] = "40";
		
		
		parent::__construct($S, $SpracheID);
		
		if($this instanceof TCPDF){
		}
	}

	function getLabel(){
		return "Vorlage1";
	}

/*
$kunr = $form->data['data1']['kundennummer'];
$renr = $form->data['data1']['rechnungsnummer'];
$betr = 'EUR' . $form->data['data1']['betrag'];
require_once("qrcode.php");

$qr = QRCode::getMinimumQRCode("BCD
002
1
SCT
BYLADEM1ABG
Stephan Weiss, Niederaula
DE35518500790371108734
$betr

QR $renr  $kunr ", QR_ERROR_CORRECT_LEVEL_M);


$im = $qr->createImage(3, 4);

header("Content-type: image/gif");

imagegif($im, "images/qrgirocode/$renr bild.gif");
$form->data['data1']['qrcode'] = $renr . ' bild.gif';

imagedestroy($im);

*/

}
?>